FreeBSD Administration - Bug #392

Sed -i Not Working on FreeBSD
05/20/2014 02:51 PM - Daniel Curtis

Status: Closed Start date: 05/20/2014
Priority: Low Due date:

Assignee: Daniel Curtis % Done: 100%
Category: Command-Line Help Estimated time: 0.10 hour
Target version: FreeBSD 9 Spent time: 0.30 hour
Description

While doing some common administration with the sed command line tool on FreeBSD, | found that the normal sed command would
not work:

sed -i 's/changing/changed/g' /path/to/files/*

e | found a workaround on the FreeBSD forums that suggested the syntax should look more like the following:

find . -type f -exec sed -i "" 's/changing/changed/g' {} \;

e To use sed on a single file:

sed -1 '' -e 's/replace/textreplace/g' /path/to/file.txt

Resources

o https://forums.freebsd.org/viewtopic.php?&t=12235

History

#1 - 05/25/2014 11:23 AM - Daniel Curtis

- Status changed from Resolved to Closed

#2 - 02/14/2015 10:36 AM - Daniel Curtis

- Target version set to FreeBSD 9

#3 - 02/14/2015 11:40 AM - Daniel Curtis
- Description updated

- Category set to Command-Line Help
